org.apache.cassandra.index.sasi.disk

## Class AbstractTokenTreeBuilder.InteriorNode

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node
  - - org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.InteriorNode

Enclosing class:
  AbstractTokenTreeBuilder

    protected class AbstractTokenTreeBuilder.InteriorNode
    extends AbstractTokenTreeBuilder.Node

### Field Summary

Fields
`protected java.util.List<AbstractTokenTreeBuilder.Node>` `children`
`protected int` `position`
`protected java.util.List<java.lang.Long>` `tokens`

### Fields inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node

`next, nodeMaxToken, nodeMinToken, parent`

### Constructor Summary

Constructors
Constructor and Description
`InteriorNode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `add(AbstractTokenTreeBuilder.Leaf node)`
`protected void` `add(java.lang.Long token, AbstractTokenTreeBuilder.InteriorNode leftChild, AbstractTokenTreeBuilder.InteriorNode rightChild)`
`int` `childCount()`
`protected boolean` `isFull()`
`boolean` `isSerializable()`
`void` `serialize(long childBlockIndex, java.nio.ByteBuffer buf)`
`java.lang.Long` `smallestToken()`
`protected AbstractTokenTreeBuilder.InteriorNode` `split()`
`protected Pair<java.lang.Long,AbstractTokenTreeBuilder.InteriorNode>` `splitBlock()`
`int` `tokenCount()`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.AbstractTokenTreeBuilder.Node

`isLastLeaf, isLeaf, isRoot, largestToken, levelIterator, serializeHeader, updateTokenRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tokens

    protected java.util.List<java.lang.Long> tokens

#### children

    protected java.util.List<AbstractTokenTreeBuilder.Node> children

#### position

    protected int position

### Constructor Detail

#### InteriorNode

    public InteriorNode()

### Method Detail

#### isSerializable

    public boolean isSerializable()

Specified by:
  `isSerializable` in class `AbstractTokenTreeBuilder.Node`

#### serialize

    public void serialize(long childBlockIndex,
                          java.nio.ByteBuffer buf)

Specified by:
  `serialize` in class `AbstractTokenTreeBuilder.Node`

#### childCount

    public int childCount()

Specified by:
  `childCount` in class `AbstractTokenTreeBuilder.Node`

#### tokenCount

    public int tokenCount()

Specified by:
  `tokenCount` in class `AbstractTokenTreeBuilder.Node`

#### smallestToken

    public java.lang.Long smallestToken()

Overrides:
  `smallestToken` in class `AbstractTokenTreeBuilder.Node`

#### add

    protected void add(java.lang.Long token,
                       AbstractTokenTreeBuilder.InteriorNode leftChild,
                       AbstractTokenTreeBuilder.InteriorNode rightChild)

#### add

    protected void add(AbstractTokenTreeBuilder.Leaf node)

#### split

    protected AbstractTokenTreeBuilder.InteriorNode split()

#### splitBlock

    protected Pair<java.lang.Long,AbstractTokenTreeBuilder.InteriorNode> splitBlock()

#### isFull

    protected boolean isFull()